TAU2SLOG2(1)

NAME
tau2slog2 - convert TAU tracefiles to SLOG2 tracefiles

SYNOPSIS

tau2slog2 [options] {tau_tracefile} {tau_eventfile} {-o output.slog2}

DESCRIPTION

This program is generated when TAU is configured with the -slog2 or -slog2=<slog2_dir> option.

The tau2slog2 trace converter takes a single tau trace file (*.trc) and event definition file (*.edf) and produces a corresponding slog2 binary trace file (*.slog2).

The tau2slog2 converter is called from the command line with the locations of the tau trace and event files. These arguments must be followed by the -o flag and the name of the slog2 file to be written. tau2slog 2 accepts no other arguments.

OPTIONS

[-h|--h|-help|--help] Display HELP message.

[-tc] Check increasing endtime order, exit when 1st violation occurs.

[-tcc] Check increasing endtime order,continue when violations occur.

[-nc number] Number of childern per node (default is 2)

[-ls number] Max byte size of leaf nodes (default is 65536)

[-o output.slog2] Output filename with slog2 suffix

NOTES

The max byte size of leaf nodes can be specified with suffix k, K, m or M, where k or K stands for kilobyte, m or M stands for megabyte. e.g. 64k means 65536 bytes.

EXAMPLES

A typical invocation of the converter, to create app.slog2, is as follows:

tau2slog2 app.trc tau.edf -o app.slog2

SEE ALSO

tau_merge(1), tau_convert(1)